xine-lib: xine-lib-1.2.12/src/libw32dll/DirectShow/guids.h File Reference

xine-lib 1.2.12

Macros | Typedefs | Functions | Variables
guids.h File Reference
`#include "com.h"`
`#include "../wine/module.h"`
`#include "../wine/windef.h"`
`#include "../wine/vfw.h"`

Go to the source code of this file.

## Macros
#define | Debug if(0)

## Typedefs
typedef long long | REFERENCE_TIME
typedef GUID | CLSID
typedef GUID | IID

## Functions
struct | __attribute__ ((__packed__)) _MediaType

## Variables
| AM_MEDIA_TYPE
| RECT32
| VIDEOINFOHEADER
const GUID | IID_IBaseFilter
const GUID | IID_IEnumPins
const GUID | IID_IEnumMediaTypes
const GUID | IID_IMemInputPin
const GUID | IID_IMemAllocator
const GUID | IID_IMediaSample
const GUID | IID_DivxHidden
const GUID | IID_Iv50Hidden
const GUID | CLSID_DivxDecompressorCF
const GUID | IID_IDivxFilterInterface
const GUID | CLSID_IV50_Decoder
const GUID | CLSID_MemoryAllocator
const GUID | MEDIATYPE_Video
const GUID | GUID_NULL
const GUID | FORMAT_VideoInfo
const GUID | MEDIASUBTYPE_RGB1
const GUID | MEDIASUBTYPE_RGB4
const GUID | MEDIASUBTYPE_RGB8
const GUID | MEDIASUBTYPE_RGB565
const GUID | MEDIASUBTYPE_RGB555
const GUID | MEDIASUBTYPE_RGB24
const GUID | MEDIASUBTYPE_RGB32
const GUID | MEDIASUBTYPE_YUYV
const GUID | MEDIASUBTYPE_IYUV
const GUID | MEDIASUBTYPE_YVU9
const GUID | MEDIASUBTYPE_Y411
const GUID | MEDIASUBTYPE_Y41P
const GUID | MEDIASUBTYPE_YUY2
const GUID | MEDIASUBTYPE_YVYU
const GUID | MEDIASUBTYPE_UYVY
const GUID | MEDIASUBTYPE_Y211
const GUID | MEDIASUBTYPE_YV12
const GUID | MEDIASUBTYPE_I420
const GUID | MEDIASUBTYPE_IF09
const GUID | FORMAT_WaveFormatEx
const GUID | MEDIATYPE_Audio
const GUID | MEDIASUBTYPE_PCM

## Macro Definition Documentation

## ◆ Debug

#define Debug if(0)

## Typedef Documentation

## ◆ CLSID

typedef GUID CLSID

## ◆ IID

typedef GUID IID

## ◆ REFERENCE_TIME

typedef long long REFERENCE_TIME

## Function Documentation

## ◆ __attribute__()

struct __attribute__ | ( | (__packed__) |  | ) |

## Variable Documentation

## ◆ AM_MEDIA_TYPE

AM_MEDIA_TYPE

Referenced by CEnumMediaTypes_Next(), CMediaSample_GetMediaType(), and CMediaSample_SetMediaType().

## ◆ CLSID_DivxDecompressorCF

const GUID CLSID_DivxDecompressorCF
| extern

## ◆ CLSID_IV50_Decoder

const GUID CLSID_IV50_Decoder
| extern

## ◆ CLSID_MemoryAllocator

const GUID CLSID_MemoryAllocator
| extern

Referenced by MemAllocator_CreateAllocator(), MemAllocator_Destroy(), and MemAllocatorCreate().

## ◆ FORMAT_VideoInfo

const GUID FORMAT_VideoInfo
| extern

Referenced by DMO_VideoDecoder_Open(), and DS_VideoDecoder_Open().

## ◆ FORMAT_WaveFormatEx

const GUID FORMAT_WaveFormatEx
| extern

Referenced by DMO_AudioDecoder_Open(), and DS_AudioDecoder_Open().

## ◆ GUID_NULL

const GUID GUID_NULL
| extern

## ◆ IID_DivxHidden

const GUID IID_DivxHidden
| extern

## ◆ IID_IBaseFilter

const GUID IID_IBaseFilter
| extern

Referenced by CBaseFilter2Create(), CBaseFilterCreate(), and DS_FilterCreate().

## ◆ IID_IDivxFilterInterface

const GUID IID_IDivxFilterInterface
| extern

Referenced by DS_VideoDecoder_GetValue(), and DS_VideoDecoder_SetValue().

## ◆ IID_IEnumMediaTypes

const GUID IID_IEnumMediaTypes
| extern

Referenced by CEnumMediaTypesCreate().

## ◆ IID_IEnumPins

const GUID IID_IEnumPins
| extern

Referenced by CEnumPinsCreate().

## ◆ IID_IMediaSample

const GUID IID_IMediaSample
| extern

Referenced by CMediaSample_QueryInterface().

## ◆ IID_IMemAllocator

const GUID IID_IMemAllocator
| extern

Referenced by MemAllocatorCreate().

## ◆ IID_IMemInputPin

const GUID IID_IMemInputPin
| extern

Referenced by COutputPin_M_QueryInterface(), COutputPin_QueryInterface(), and DS_FilterCreate().

## ◆ IID_Iv50Hidden

const GUID IID_Iv50Hidden
| extern

Referenced by DS_VideoDecoder_GetValue(), and DS_VideoDecoder_SetValue().

## ◆ MEDIASUBTYPE_I420

const GUID MEDIASUBTYPE_I420
| extern

Referenced by DMO_VideoDecoder_SetDestFmt(), and DS_VideoDecoder_SetDestFmt().

## ◆ MEDIASUBTYPE_IF09

const GUID MEDIASUBTYPE_IF09
| extern

## ◆ MEDIASUBTYPE_IYUV

const GUID MEDIASUBTYPE_IYUV
| extern

Referenced by DMO_VideoDecoder_SetDestFmt(), and DS_VideoDecoder_SetDestFmt().

## ◆ MEDIASUBTYPE_PCM

const GUID MEDIASUBTYPE_PCM
| extern

Referenced by DMO_AudioDecoder_Open(), and DS_AudioDecoder_Open().

## ◆ MEDIASUBTYPE_RGB1

const GUID MEDIASUBTYPE_RGB1
| extern

## ◆ MEDIASUBTYPE_RGB24

const GUID MEDIASUBTYPE_RGB24
| extern

Referenced by DMO_VideoDecoder_Open(), DMO_VideoDecoder_SetDestFmt(), DS_VideoDecoder_Open(), and DS_VideoDecoder_SetDestFmt().

## ◆ MEDIASUBTYPE_RGB32

const GUID MEDIASUBTYPE_RGB32
| extern

Referenced by DMO_VideoDecoder_SetDestFmt(), and DS_VideoDecoder_SetDestFmt().

## ◆ MEDIASUBTYPE_RGB4

const GUID MEDIASUBTYPE_RGB4
| extern

## ◆ MEDIASUBTYPE_RGB555

const GUID MEDIASUBTYPE_RGB555
| extern

Referenced by DMO_VideoDecoder_SetDestFmt(), and DS_VideoDecoder_SetDestFmt().

## ◆ MEDIASUBTYPE_RGB565

const GUID MEDIASUBTYPE_RGB565
| extern

Referenced by DMO_VideoDecoder_SetDestFmt(), and DS_VideoDecoder_SetDestFmt().

## ◆ MEDIASUBTYPE_RGB8

const GUID MEDIASUBTYPE_RGB8
| extern

## ◆ MEDIASUBTYPE_UYVY

const GUID MEDIASUBTYPE_UYVY
| extern

Referenced by DMO_VideoDecoder_SetDestFmt(), and DS_VideoDecoder_SetDestFmt().

## ◆ MEDIASUBTYPE_Y211

const GUID MEDIASUBTYPE_Y211
| extern

## ◆ MEDIASUBTYPE_Y411

const GUID MEDIASUBTYPE_Y411
| extern

## ◆ MEDIASUBTYPE_Y41P

const GUID MEDIASUBTYPE_Y41P
| extern

## ◆ MEDIASUBTYPE_YUY2

const GUID MEDIASUBTYPE_YUY2
| extern

Referenced by DMO_VideoDecoder_SetDestFmt(), and DS_VideoDecoder_SetDestFmt().

## ◆ MEDIASUBTYPE_YUYV

const GUID MEDIASUBTYPE_YUYV
| extern

## ◆ MEDIASUBTYPE_YV12

const GUID MEDIASUBTYPE_YV12
| extern

Referenced by DMO_VideoDecoder_SetDestFmt(), and DS_VideoDecoder_SetDestFmt().

## ◆ MEDIASUBTYPE_YVU9

const GUID MEDIASUBTYPE_YVU9
| extern

Referenced by DMO_VideoDecoder_SetDestFmt(), and DS_VideoDecoder_SetDestFmt().

## ◆ MEDIASUBTYPE_YVYU

const GUID MEDIASUBTYPE_YVYU
| extern

Referenced by DMO_VideoDecoder_SetDestFmt(), and DS_VideoDecoder_SetDestFmt().

## ◆ MEDIATYPE_Audio

const GUID MEDIATYPE_Audio
| extern

Referenced by DMO_AudioDecoder_Open(), and DS_AudioDecoder_Open().

## ◆ MEDIATYPE_Video

const GUID MEDIATYPE_Video
| extern

Referenced by DMO_VideoDecoder_Open(), and DS_VideoDecoder_Open().

## ◆ RECT32

RECT32

## ◆ VIDEOINFOHEADER

VIDEOINFOHEADER

Referenced by DMO_VideoDecoder_Open(), DMO_VideoDecoder_SetDestFmt(), DS_VideoDecoder_Open(), and DS_VideoDecoder_SetDestFmt().